#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#include <graphics/text.h>


struct LabelText
{
SHORT TopEdge;
SHORT Width;
BYTE  FontName[21];
SHORT FontSize;
BYTE  Style;
BYTE  Alignment;
BYTE  Placement;
BYTE  Border;
BYTE  BgColor;
BYTE  FgColor;
BYTE  Text[61];
struct LabelText *PrevText;
struct LabelText *NextText;
LONG AttrNumber;
};

#define LTS_PLAIN 0L
#define LTS_UNDERLINED 1L
#define LTS_BOLD 2L
#define LTS_ITALIC 4L

#define LTA_LEFT 0L
#define LTA_RIGHT 1L
#define LTA_CENTERED 2L

#define LTP_FIXED 0L
#define LTP_FREE 1L

#define LTB_NONE 0L
#define LTB_BOTTOM 1L
#define LTB_TOP 2L
#define LTB_SIDES 4L

#define LABEL_LEFT 95L
#define LABEL_TOP 14L
#define LABEL_RIGHT 414L
#define LABEL_BOTTOM 197L
#define LABEL_WIDTH 320L
#define LABEL_HEIGHT 184L
#define LABEL_BACK 43L
#define LABEL_STRIP_START 45L
#define LABEL_STRIP_END 53L
#define LABEL_START 55L


